<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="ALL" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="b353e98e-b85f-4cb5-8d0a-626a44511b90" name="Default" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExportToHTMLSettings">
    <option name="OUTPUT_DIRECTORY" value="$PROJECT_DIR$/exportToHTML" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="HierarchyBrowserManager">
    <option name="SCOPE" value="All" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/core/src/test/java/io/undertow/testutils/DefaultServer.java" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/websockets-jsr/src/test/java/io/undertow/websockets/jsr/test/stress/WebsocketStressTestCase.java" root0="SKIP_INSPECTION" />
  </component>
  <component name="MavenRunner">
    <option name="delegateBuildToMaven" value="true" />
    <option name="jreName" value="11" />
  </component>
  <component name="NamedScopeManager">
    <scope name="Undertow only" pattern="" />
  </component>
  <component name="ProjectId" id="1StXby0IHTv2NkgNoxRHpjJy70g" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1572169463777" />
    <property name="last_directory_selection" value="$PROJECT_DIR$/jakartaee9/src/main/java" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/file" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.appearance" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/file" />
      <recent name="$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/response/cookies" />
      <recent name="$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/cookies" />
    </key>
    <key name="MoveMembersDialog.RECENTS_KEY">
      <recent name="io.undertow.security.api.AuthenticationMechanismFactory" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="io.undertow" />
      <recent name="io.undertow.jakartaee9" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="io.undertow.server" />
      <recent name="io.undertow.jakartaee9" />
      <recent name="io.undertow.server.handlers.session" />
      <recent name="io.undertow.servlet.test.security.ssl" />
      <recent name="io.undertow.servlet.test.response.cookies" />
    </key>
  </component>
  <component name="RunManager" selected="Remote JVM Debug.Server at 5005">
    <configuration name="JakartaEE9Transformer" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="io.undertow.jakartaee9.JakartaEE9Transformer" />
      <module name="undertow-jakartaee9" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main (1)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="io.undertow.Main" />
      <module name="undertow-core" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="io.undertow.Main" />
      <module name="undertow-servlet" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SimpleParserTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.protocol.http.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.protocol.http" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.protocol.http.SimpleParserTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SimpleSSLTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.ssl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.ssl" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.ssl.SimpleSSLTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Server at 5005" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="5005" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration name="Server at 8000" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="8000" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="8000" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration name="Server at 8787" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="8787" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="8787" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration name="Server at 8788" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="8788" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="8788" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration default="true" type="TestNG">
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.JakartaEE9Transformer" />
      <item itemvalue="Application.Main (1)" />
      <item itemvalue="Application.Main" />
      <item itemvalue="JUnit.SimpleParserTestCase" />
      <item itemvalue="JUnit.SimpleSSLTestCase" />
      <item itemvalue="Remote JVM Debug.Server at 5005" />
      <item itemvalue="Remote JVM Debug.Server at 8000" />
      <item itemvalue="Remote JVM Debug.Server at 8787" />
      <item itemvalue="Remote JVM Debug.Server at 8788" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.SimpleSSLTestCase" />
        <item itemvalue="JUnit.SimpleParserTestCase" />
        <item itemvalue="Application.Main" />
        <item itemvalue="Application.Main (1)" />
        <item itemvalue="Application.JakartaEE9Transformer" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b353e98e-b85f-4cb5-8d0a-626a44511b90" name="Default" comment="" />
      <created>1544549945125</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1544549945125</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ID_ORDER">
      <list>
        <option value="Default.Root" />
        <option value="Default.Author" />
        <option value="Default.Date" />
        <option value="Default.Subject" />
      </list>
    </option>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="1">
          <value>
            <State>
              <option name="SHOW_ONLY_AFFECTED_CHANGES" value="true" />
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="HEAD" />
                      </list>
                    </value>
                  </entry>
                  <entry key="structure">
                    <value>
                      <list>
                        <option value="dir:/home/fla/Development/projects/undertow/parser-generator" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
        <entry key="2">
          <value>
            <State>
              <option name="SHOW_ONLY_AFFECTED_CHANGES" value="true" />
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="HEAD" />
                      </list>
                    </value>
                  </entry>
                  <entry key="structure">
                    <value>
                      <list>
                        <option value="dir:/home/fla/Development/projects/undertow/core/src/main/java/io/undertow/protocols/http2" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
        <entry key="3">
          <value>
            <State>
              <option name="SHOW_ONLY_AFFECTED_CHANGES" value="true" />
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="HEAD" />
                      </list>
                    </value>
                  </entry>
                  <entry key="structure">
                    <value>
                      <list>
                        <option value="dir:/home/fla/Development/projects/undertow/core" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="OPEN_GENERIC_TABS">
      <map>
        <entry key="1" value="TOOL_WINDOW" />
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/RequestDispatcherImpl.java</url>
          <line>88</line>
          <option name="timeStamp" value="4" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/RequestDispatcherImpl.java</url>
          <line>278</line>
          <option name="timeStamp" value="6" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/spec/javax/servlet/jboss-servlet-api_4.0_spec/1.0.0.Final/jboss-servlet-api_4.0_spec-1.0.0.Final-sources.jar!/javax/servlet/http/HttpServletRequestWrapper.java</url>
          <line>271</line>
          <option name="timeStamp" value="13" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/RequestDispatcherImpl.java</url>
          <line>233</line>
          <option name="timeStamp" value="14" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/cache/ResponseCache.java</url>
          <line>132</line>
          <option name="timeStamp" value="16" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/cache/ResponseCache.java</url>
          <line>141</line>
          <option name="timeStamp" value="17" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/ssl/SimpleSSLTestCase.java</url>
          <option name="timeStamp" value="18" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletResponseImpl.java</url>
          <line>112</line>
          <option name="timeStamp" value="19" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar:///opt/jdk-10.0.2/lib/src.zip!/java.base/java/net/Socket.java</url>
          <line>716</line>
          <option name="timeStamp" value="28" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>264</line>
          <option name="timeStamp" value="31" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>272</line>
          <option name="timeStamp" value="32" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>296</line>
          <option name="timeStamp" value="33" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>300</line>
          <option name="timeStamp" value="34" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>319</line>
          <option name="timeStamp" value="35" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>178</line>
          <option name="timeStamp" value="36" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>197</line>
          <option name="timeStamp" value="37" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>203</line>
          <option name="timeStamp" value="38" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>211</line>
          <option name="timeStamp" value="39" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>222</line>
          <option name="timeStamp" value="40" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>230</line>
          <option name="timeStamp" value="41" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>248</line>
          <option name="timeStamp" value="42" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>86</line>
          <option name="timeStamp" value="43" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>117</line>
          <option name="timeStamp" value="45" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/ServletRequestContext.java</url>
          <line>144</line>
          <option name="timeStamp" value="47" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/async/AsyncServlet.java</url>
          <line>32</line>
          <option name="timeStamp" value="52" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/streams/BlockingInputStreamServlet.java</url>
          <line>38</line>
          <option name="timeStamp" value="53" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/examples/src/main/java/io/undertow/examples/helloworld/HelloWorldServer.java</url>
          <line>38</line>
          <option name="timeStamp" value="55" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar:///opt/jdk-10.0.2/lib/src.zip!/java.base/sun/security/ssl/SSLSessionImpl.java</url>
          <line>822</line>
          <option name="timeStamp" value="59" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar:///opt/jdk-10.0.2/lib/src.zip!/java.base/sun/security/ssl/SSLEngineImpl.java</url>
          <line>852</line>
          <option name="timeStamp" value="60" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jrt:///opt/jdk-11.0.1!/java.base/sun/security/ssl/SSLEngineImpl.class</url>
          <line>374</line>
          <option name="timeStamp" value="62" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/AlpnOpenListener.java</url>
          <line>442</line>
          <option name="timeStamp" value="63" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.3.8.Final/xnio-api-3.3.8.Final-sources.jar!/org/xnio/ssl/JsseSslConduitEngine.java</url>
          <line>119</line>
          <option name="timeStamp" value="67" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.3.8.Final/xnio-api-3.3.8.Final-sources.jar!/org/xnio/ssl/JsseAcceptingSslStreamConnection.java</url>
          <line>39</line>
          <option name="timeStamp" value="68" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.3.8.Final/xnio-api-3.3.8.Final-sources.jar!/org/xnio/ssl/JsseAcceptingSslStreamConnection.java</url>
          <line>44</line>
          <option name="timeStamp" value="69" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/response/cookies/DuplicateCookiesServlet.java</url>
          <line>59</line>
          <option name="timeStamp" value="72" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/testutils/DefaultServer.java</url>
          <line>567</line>
          <option name="timeStamp" value="73" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>105</line>
          <option name="timeStamp" value="76" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>89</line>
          <option name="timeStamp" value="78" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>93</line>
          <option name="timeStamp" value="79" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>97</line>
          <option name="timeStamp" value="80" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/ssl/SslConduit.java</url>
          <line>941</line>
          <option name="timeStamp" value="83" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/ssl/UndertowXnioSsl.java</url>
          <line>261</line>
          <option name="timeStamp" value="85" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/session/ServletSessionTestCase.java</url>
          <line>233</line>
          <option name="timeStamp" value="93" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/session/PathParameterSessionConfig.java</url>
          <line>77</line>
          <option name="timeStamp" value="98" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/session/InMemorySessionManager.java</url>
          <line>489</line>
          <option name="timeStamp" value="122" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyHandler.java</url>
          <line>745</line>
          <option name="timeStamp" value="124" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyHandler.java</url>
          <line>287</line>
          <option name="timeStamp" value="125" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>842</line>
          <option name="timeStamp" value="128" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>392</line>
          <option name="timeStamp" value="129" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/alpn/JDK9AlpnProvider.java</url>
          <line>120</line>
          <option name="timeStamp" value="130" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/predicate/Predicate.java</url>
          <line>33</line>
          <option name="timeStamp" value="138" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar:///opt/jdk-11.0.1/lib/src.zip!/java.base/java/nio/channels/spi/SelectorProvider.java</url>
          <line>172</line>
          <option name="timeStamp" value="140" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar:///opt/jdk-11.0.1/lib/src.zip!/java.base/java/nio/channels/spi/SelectorProvider.java</url>
          <line>177</line>
          <option name="timeStamp" value="141" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar:///opt/jdk-11.0.1/lib/src.zip!/java.base/java/nio/channels/spi/SelectorProvider.java</url>
          <line>179</line>
          <option name="timeStamp" value="142" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/framed/AbstractFramedStreamSinkChannel.java</url>
          <line>413</line>
          <option name="timeStamp" value="154" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.8.0.Final/xnio-api-3.8.0.Final-sources.jar!/org/xnio/conduits/AbstractStreamSourceConduit.java</url>
          <line>30</line>
          <option name="timeStamp" value="160" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/builder/PredicatedHandlersParser.java</url>
          <line>71</line>
          <option name="timeStamp" value="161" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/conduits/ReadTimeoutStreamSourceConduit.java</url>
          <line>194</line>
          <option name="timeStamp" value="162" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/ReadTimeoutTestCase.java</url>
          <line>75</line>
          <option name="timeStamp" value="170" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/conduits/ReadTimeoutStreamSourceConduit.java</url>
          <line>63</line>
          <option name="timeStamp" value="179" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/websockets-jsr/src/test/java/io/undertow/websockets/jsr/test/stress/WebsocketStressTestCase.java</url>
          <line>117</line>
          <option name="timeStamp" value="180" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/websockets-jsr/src/test/java/io/undertow/websockets/jsr/test/stress/WebsocketStressTestCase.java</url>
          <line>78</line>
          <option name="timeStamp" value="181" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/websockets-jsr/src/test/java/io/undertow/websockets/jsr/test/stress/WebsocketStressTestCase.java</url>
          <line>71</line>
          <option name="timeStamp" value="182" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/websockets-jsr/src/main/java/io/undertow/websockets/jsr/UndertowContainerProvider.java</url>
          <line>60</line>
          <option name="timeStamp" value="193" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/ReadTimeoutTestCase.java</url>
          <line>86</line>
          <option name="timeStamp" value="194" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/websockets/utils/FrameChecker.java</url>
          <line>47</line>
          <option name="timeStamp" value="195" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/websockets/utils/FrameChecker.java</url>
          <line>76</line>
          <option name="timeStamp" value="196" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/ServletInitialHandler.java</url>
          <line>147</line>
          <option name="timeStamp" value="198" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/testutils/DefaultServer.java</url>
          <line>456</line>
          <option name="timeStamp" value="201" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/testutils/DefaultServer.java</url>
          <line>583</line>
          <option name="timeStamp" value="202" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/testutils/DefaultServer.java</url>
          <option name="timeStamp" value="206" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/ReadTimeoutTestCase.java</url>
          <line>70</line>
          <option name="timeStamp" value="207" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/alpn/JDK9AlpnProvider.java</url>
          <line>66</line>
          <option name="timeStamp" value="209" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/client/ALPNClientSelector.java</url>
          <line>42</line>
          <option name="timeStamp" value="210" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/AlpnOpenListener.java</url>
          <line>314</line>
          <option name="timeStamp" value="212" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/security/form/SaveOriginalPostRequestTestCase.java</url>
          <line>118</line>
          <option name="timeStamp" value="215" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/security/impl/FormAuthenticationMechanism.java</url>
          <line>103</line>
          <option name="timeStamp" value="216" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/security/impl/FormAuthenticationMechanism.java</url>
          <line>114</line>
          <option name="timeStamp" value="217" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-nio/3.8.4.Final/xnio-nio-3.8.4.Final-sources.jar!/org/xnio/nio/NioSocketConduit.java</url>
          <line>269</line>
          <option name="timeStamp" value="218" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-nio/3.8.4.Final/xnio-nio-3.8.4.Final-sources.jar!/org/xnio/nio/NioSocketConduit.java</url>
          <line>268</line>
          <option name="timeStamp" value="219" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/Undertow.java</url>
          <line>259</line>
          <option name="timeStamp" value="220" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/proxy/mod_cluster/StickySessionUnitTestCase.java</url>
          <option name="timeStamp" value="221" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/proxy/mod_cluster/AbstractModClusterTestBase.java</url>
          <line>187</line>
          <option name="timeStamp" value="222" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/defaultservlet/DefaultServletCachingListenerTestCase.java</url>
          <option name="timeStamp" value="226" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-nio/3.8.4.Final/xnio-nio-3.8.4.Final-sources.jar!/org/xnio/nio/WorkerThread.java</url>
          <line>617</line>
          <properties class="org.xnio.nio.WorkerThread" method="execute">
            <option name="EMULATED" value="true" />
          </properties>
          <option name="timeStamp" value="223" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>